StarObjectPageStyle Class Reference

the main class to read a SwPageStyleSheets zone More...

`#include <StarObjectPageStyle.hxx>`

Inheritance diagram for StarObjectPageStyle:

## Public Member Functions

| StarObjectPageStyle (StarObject const &orig, bool duplicateState)
| constructor
| ~StarObjectPageStyle () override
| destructor
bool | read (StarZone &zone)
| try to read a PageStyle zone
bool | updatePageSpans (std::vector< librevenge::RVNGString > const &listNames, std::vector< STOFFPageSpan > &pageSpan, int &numPages)
| try to update the page span (to create text document)
Public Member Functions inherited from StarObject
| StarObject (char const *passwd, std::shared_ptr< STOFFOLEParser > &oleParser, std::shared_ptr< STOFFOLEParser::OleDirectory > &directory)
| constructor
virtual | ~StarObject ()
| destructor
bool | parse ()
| try to parse data
STOFFDocument::Kind | getDocumentKind () const
| returns the document kind
char const * | getPassword () const
| returns the document password (the password given by the user)
std::shared_ptr< STOFFOLEParser::OleDirectory > | getOLEDirectory ()
| returns the object directory
std::shared_ptr< StarAttributeManager > | getAttributeManager ()
| returns the attribute manager
std::shared_ptr< StarFormatManager > | getFormatManager ()
| returns the format manager
librevenge::RVNGPropertyList const & | getMetaData () const
| returns the meta data (filled by readSfxDocumentInformation)
librevenge::RVNGString | getUserNameMetaData (int i) const
| returns the ith user meta data
void | cleanPools ()
| clean each pool
std::shared_ptr< StarItemPool > | getNewItemPool (StarItemPool::Type type)
| returns a new item pool for this document
std::shared_ptr< StarItemPool > | findItemPool (StarItemPool::Type type, bool isInside)
| check if a pool corresponding to a given type is opened if so returned it.
std::shared_ptr< StarItemPool > | getCurrentPool (bool onlyInside=true)
| returns the current all/inside pool
bool | readPersistData (StarZone &zone, long endPos)
| try to read persist data
bool | readSfxStyleSheets (STOFFInputStreamPtr input, std::string const &name)
| try to read a spreadshet style zone: SfxStyleSheets
bool | readItemSet (StarZone &zone, std::vector< STOFFVec2i > const &limits, long endPos, StarItemSet &itemSet, StarItemPool *pool=nullptr, bool isDirect=false)
| try to read a list of item

## Protected Member Functions

bool | updatePageSpan (librevenge::RVNGString const &name, StarState &state)
| try to update the pagespan
Protected Member Functions inherited from StarObject
bool | readPersistElements (STOFFInputStreamPtr input, std::string const &name)
| the "persist elements" small ole: the list of object
bool | readSfxDocumentInformation (STOFFInputStreamPtr input, std::string const &name)
| try to read the document information : "SfxDocumentInformation"
bool | readSfxPreview (STOFFInputStreamPtr input, std::string const &name)
| try to read the preview : "SfxPreview"
bool | readSfxWindows (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the windows information : "SfxWindows"
bool | readStarFrameworkConfigFile (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the "Star Framework Config File"
bool | readStarFrameworkConfigItem (STOFFEntry &entry, STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read an item in a "Star Framework Config File"
| StarObject (StarObject const &orig, bool duplicateState)
| copy constructor

## Protected Attributes

std::shared_ptr< StarObjectPageStyleInternal::State > | m_pageStyleState
| the state
Protected Attributes inherited from StarObject
char const * | m_password
| the document password
std::shared_ptr< STOFFOLEParser > | m_oleParser
| the ole parser
std::shared_ptr< STOFFOLEParser::OleDirectory > | m_directory
| the directory
std::shared_ptr< StarObjectInternal::State > | m_state
| the state
librevenge::RVNGPropertyList | m_metaData
| the meta data

## Private Member Functions

StarObjectPageStyle & | operator= (StarObjectPageStyle const &orig)=delete

## Detailed Description

the main class to read a SwPageStyleSheets zone

## Constructor & Destructor Documentation

## StarObjectPageStyle()

StarObjectPageStyle::StarObjectPageStyle | ( | StarObject const & | orig,
|  | bool | duplicateState )

constructor

Referenced by operator=().

## ~StarObjectPageStyle()

StarObjectPageStyle::~StarObjectPageStyle | ( |  | ) |

override

destructor

## Member Function Documentation

## operator=()

StarObjectPageStyle & StarObjectPageStyle::operator= | ( | StarObjectPageStyle const & | orig | ) |

private delete

## read()

bool StarObjectPageStyle::read | ( | StarZone & | zone | ) |

try to read a PageStyle zone

## updatePageSpan()

bool StarObjectPageStyle::updatePageSpan | ( | librevenge::RVNGString const & | name,
|  | StarState & | state )

protected

try to update the pagespan

Referenced by updatePageSpans().

## updatePageSpans()

bool StarObjectPageStyle::updatePageSpans | ( | std::vector< librevenge::RVNGString > const & | listNames,
|  | std::vector< STOFFPageSpan > & | pageSpan,
|  | int & | numPages )

try to update the page span (to create text document)

## Member Data Documentation

## m_pageStyleState

std::shared_ptr<StarObjectPageStyleInternal::State> StarObjectPageStyle::m_pageStyleState

protected

the state

Referenced by read(), StarObjectPageStyle(), and updatePageSpan().

The documentation for this class was generated from the following files:

- StarObjectPageStyle.hxx
- StarObjectPageStyle.cxx